package com.ruoyi.mall.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.mall.domain.MallMeetAddress;

/**
 * 接货地址Mapper接口
 *
 * @author ruoyi
 * @date 2024-04-15
 */
public interface MallMeetAddressMapper
{
    /**
     * 查询接货地址
     *
     * @param meetId 接货地址主键
     * @return 接货地址
     */
    public MallMeetAddress selectMallMeetAddressByMeetId(Long meetId);

    /**
     * 查询接货地址列表
     *
     * @param mallMeetAddress 接货地址
     * @return 接货地址集合
     */
    public List<MallMeetAddress> selectMallMeetAddressList(MallMeetAddress mallMeetAddress);

    /**
     * 新增接货地址
     *
     * @param mallMeetAddress 接货地址
     * @return 结果
     */
    public int insertMallMeetAddress(MallMeetAddress mallMeetAddress);

    /**
     * 修改接货地址
     *
     * @param mallMeetAddress 接货地址
     * @return 结果
     */
    public int updateMallMeetAddress(MallMeetAddress mallMeetAddress);

    /**
     * 删除接货地址
     *
     * @param meetId 接货地址主键
     * @return 结果
     */
    public int deleteMallMeetAddressByMeetId(Long meetId);

    /**
     * 批量删除接货地址
     *
     * @param meetIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMallMeetAddressByMeetIds(Long[] meetIds);

    /**
     * 查询接货地址
     *
     * @param params areaId 区县ID
     * @return 商品集合
     */
    public List<Map<String, Object>> getMeetAddressList(Map<String, Object> params);
}
